### Method

# Ide PtyIntercept set_callback

#### Declaration

    void
    ide_pty_intercept_set_callback (
      IdePtyIntercept* self,
      IdePtyInterceptSide* side,
      IdePtyInterceptCallback callback,
      gpointer user_data
    )

#### Description

This sets the callback to execute every time data is received from a particular side of the intercept.

You may only set one per side.

Available since: | 3.32

#### Parameters

`side` | `IdePtyInterceptSide`
| The side containing the data to watch.
| The data is owned by the caller of the function.
`callback` | `IdePtyInterceptCallback`
| The callback to execute when data is received.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.